#!/usr/bin/python3

import pynwp.migration as core
import sys


def validator(args):
    if not args.current_version or not args.target_version or not args.patches_path:
        return False
    else:
        return True


if __name__ == "__main__":
    arguments = core.CommandLineParser(sys.argv[1:], validator)
    core.SystemService.set_required_clean_flag(current_version=arguments.current_version(),
                                               target_version=arguments.target_version(),
                                               patches_path=arguments.patches_path())
